#!/bin/bash

ipeth0=$1
subnet=$2
gateway=$3
dns1=$4
dns2=$5
host=$6
domain=$7

echo "DEVICE=eth0" > /etc/sysconfig/networking/devices/ifcfg-eth0
echo "ONBOOT=yes" >> /etc/sysconfig/networking/devices/ifcfg-eth0
echo "TYPE=Ethernet" >> /etc/sysconfig/networking/devices/ifcfg-eth0
echo "NETMASK=$2" >> /etc/sysconfig/networking/devices/ifcfg-eth0
echo "IPADDR=$1" >> /etc/sysconfig/networking/devices/ifcfg-eth0
echo "USERCTL=no" >> /etc/sysconfig/networking/devices/ifcfg-eth0
echo "PEERDNS=yes" >> /etc/sysconfig/networking/devices/ifcfg-eth0
echo "GATEWAY=$3" >> /etc/sysconfig/networking/devices/ifcfg-eth0
echo "IPV6INIT=no" >> /etc/sysconfig/networking/devices/ifcfg-eth0
echo "BOOTPROTO=none" >> /etc/sysconfig/networking/devices/ifcfg-eth0

cp /etc/sysconfig/networking/devices/ifcfg-eth0 /etc/sysconfig/network-scripts/

echo "NETWORKING=yes" > /etc/sysconfig/network
echo "HOSTNAME=$6.$7" >> /etc/sysconfig/network

echo "# sudo" > /etc/sudoers
echo "# User privilege specification" >> /etc/sudoers
echo "root	ALL=(ALL) ALL" >> /etc/sudoers
echo "apache	$6=NOPASSWD:/sbin/shutdown" >> /etc/sudoers
echo "apache	$6=NOPASSWD:/etc/init.d/asterisk" >> /etc/sudoers
echo "apache	$6=NOPASSWD:/etc/init.d/misdn-init" >> /etc/sudoers
echo "apache	$6=NOPASSWD:/usr/sbin/astgenkey" >> /etc/sudoers
echo "apache	$6=NOPASSWD:/var/www/html/voiceone_webservices/config/script/install.sh" >> /etc/sudoers
echo "apache	$6=NOPASSWD:/var/www/html/voiceone_webservices/config/script/inkey.sh" >> /etc/sudoers
echo "apache	$6=NOPASSWD:/var/www/html/voiceone_webservices/config/script/misdn-conf.sh" >> /etc/sudoers
echo "apache	$6=NOPASSWD:/var/www/html/voiceone_webservices/config/script/set-lan.sh" >> /etc/sudoers
echo "apache	$6=NOPASSWD:/var/www/html/voiceone/admin/public/script/convert_and_move.sh" >> /etc/sudoers


# Imposto IP
ifconfig eth0 $1 netmask $2
route del default
route add default gw $3

# Imposto DNS
echo "search $7" > /etc/resolv.conf
echo "nameserver $4" >> /etc/resolv.conf
echo "nameserver $5" >> /etc/resolv.conf

echo "127.0.0.1		localhost.localdomain	$6.$7	localhost	$6" > /etc/hosts

#/etc/init.d/network restart
/sbin/shutdown -r now
